Skip to main content

Point of Sale

Base URL: https://api.covasoft.net/pointofsale

Endpoints​

EndpointDescription
GET Companies({CompanyId})/Locations({LocationId})/SalesToFulfill?filter={filter}Pulls Sales Order to be Fulfilled at a Location in a Company with Filtering
GET Companies({CompanyId})/Sales({SalesOrderId})Returns Details for the Sales Order Id provided
DELETE Companies({CompanyId})/Sales({SalesOrderId}This Call Marks a Sales Order as Cancelled and at the Location specified within the Company
PUT Companies({CompanyId})/OrderStatus({SalesOrderId}This Call updates the fulfillment status of the Sales Order specified and at the Location specified within the Company
GET Companies({CompanyId})/SalesInvoiceDetails({InvoiceId})Returns Details for the Sales Invoice Id provided
GET Companies({CompanyId})/SalesInvoiceSummaries?filter={filter}Returns Invoice Summaries for a Company with Filtering
GET Companies({CompanyId})/Locations({LocationId})/CompletedOrders?filter={filter}Returns Completed orders for a Company by Date Range with Filtering

GET Companies({CompanyId})/Locations({LocationId})/SalesToFulfill?filter={filter}​

Pulls Sales Order to be Fulfilled at a Location in a Company with Filtering

Base URL:​

https://api.covasoft.net/pointofsale

Examples of this filterable call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/Locations({LocationId})/SalesToFulfill

Odata Filter Section:

SaleStatus eq 'PaidAndAwaitingCompletion'

Status eq 'ReadyForPickup' and Method eq 'Pickup'

Status eq 'ReadyForPickup' and Method eq 'Delivery'

ReceiptNumber eq '{ReceiptNumber}'

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
LocationIdThis is Location Id where you want to get the Sales Orders to FulfillintegerRequired
filterThe Odata filter applied to this call, see filter section abovestringNone.

Body Parameters​

None.

Response Information​

Resource Description​

Returns Sales Order to be fulfilled at a Location with Filtering

Collection of GetSalesOrdersToFulfillReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CreateddateNone.
SourcestringNone.
MethodstringNone.
ReferencestringNone.
OrderNumberstringNone.
ReceiptNumberstringNone.
StatusstringNone.
SaleStatusstringNone.
AddressAddressNone.
Totaldecimal numberNone.

Response Formats​

application/json, text/json

[
{
"Id": "085ec585-265f-477f-b261-63809209f095",
"Created": "2026-10-02T17:43:10.0418165+00:00",
"Source": "sample string 3",
"Method": "sample string 4",
"Reference": "sample string 5",
"OrderNumber": "sample string 6",
"ReceiptNumber": "sample string 7",
"Status": "sample string 8",
"SaleStatus": "sample string 9",
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "34794996-3fd0-4cd0-9853-a1e359cb8f4c",
"CustomerId": "0910ee57-1bee-444a-b7ba-8691fc5a3f5e",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
"Total": 10.1
},
{
"Id": "085ec585-265f-477f-b261-63809209f095",
"Created": "2026-10-02T17:43:10.0418165+00:00",
"Source": "sample string 3",
"Method": "sample string 4",
"Reference": "sample string 5",
"OrderNumber": "sample string 6",
"ReceiptNumber": "sample string 7",
"Status": "sample string 8",
"SaleStatus": "sample string 9",
"Address": {
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "34794996-3fd0-4cd0-9853-a1e359cb8f4c",
"CustomerId": "0910ee57-1bee-444a-b7ba-8691fc5a3f5e",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
"Total": 10.1
}
]

Models​

Address
NameDescriptionTypeAdditional information
AddressLine1stringNone.
AddressLine2stringNone.
CitystringNone.
StateNamestringNone.
CountryNamestringNone.
ZipintegerNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
AddressTypeId1- None, 2- Home, 3- Shipping, 4- Office, 5- OtherintegerNone.
AddressTypestringNone.
DefaultbooleanNone.
DoNotContactbooleanNone.
CountryCodestringNone.
CountrystringNone.
LocalitystringNone.
StateCodestringNone.
StatestringNone.
PostalCodestringNone.
PostOfficeBoxNumberstringNone.
StreetAddress1stringNone.
NotesstringNone.
StreetAddress2stringNone.
VersionintegerNone.
AttentionTostringNone.
PhonestringNone.
EmailstringNone.

GET Companies({CompanyId})/Sales({SalesOrderId})​

Returns Details for the Sales Order Id provided

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/Sales({SalesOrderId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
SalesOrderIdThis is Sales Order Id Guid that you want details forglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Details for the Sales Order Id provided

GetSalesOrderByIdReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
LocationLocationNone.
StatusstringNone.
CreatedTimedateNone.
TenderedByUserIdintegerNone.
TenderedBystringNone.
CustomerCustomerNone.
ReceiptNumberstringNone.
InStockCollection of InStockNone.
TaxCalculationTaxCalculationNone.
PaymentsPaymentsNone.
DiscountsDiscountsNone.
InvoiceTypestringNone.
TotalTotalNone.
SaleOverridesSaleOverridesNone.
PricingSchemestringNone.

Response Formats​

application/json, text/json

{
"Id": "04299e4d-e3ad-4500-b263-2c15155a574a",
"Location": {
"Id": 1,
"Name": "sample string 2"
},
"Status": "sample string 2",
"CreatedTime": "2026-10-02T17:41:45.1333734+00:00",
"TenderedByUserId": 4,
"TenderedBy": "sample string 5",
"Customer": {
"Id": "c065a42d-373e-4320-baa0-2a228cb9c373",
"Number": "sample string 2",
"FullName": "sample string 3",
"ShippingAddressId": "sample string 4",
"ShippingAddress": "sample string 5",
"BillingAddress": "sample string 6",
"BillingAddressId": "sample string 7",
"AddressId": "sample string 8",
"MedicalInformation": "sample string 9"
},
"ReceiptNumber": "sample string 6",
"InStock": [
{
"No": 1,
"CatalogId": "bb46c98a-034d-4207-bdf1-17318153975a",
"Name": "sample string 3",
"SKU": "sample string 4",
"SoldAtPrice": 5,
"ListPrice": 6,
"SalePrice": 1.1,
"Quantity": 7,
"UnitId": 8,
"UnitAbbreviation": "sample string 9",
"MeasurementType": "sample string 10",
"PackageNumber": "sample string 11",
"Batch": "sample string 12",
"SerialNumbers": [
"sample string 1",
"sample string 2"
],
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
},
{
"No": 1,
"CatalogId": "bb46c98a-034d-4207-bdf1-17318153975a",
"Name": "sample string 3",
"SKU": "sample string 4",
"SoldAtPrice": 5,
"ListPrice": 6,
"SalePrice": 1.1,
"Quantity": 7,
"UnitId": 8,
"UnitAbbreviation": "sample string 9",
"MeasurementType": "sample string 10",
"PackageNumber": "sample string 11",
"Batch": "sample string 12",
"SerialNumbers": [
"sample string 1",
"sample string 2"
],
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
}
],
"TaxCalculation": {
"TaxCalculcationId": "sample string 1",
"Lines": [
{
"Tax": 1.1,
"ExemptAmount": 2.1,
"LineNumber": "sample string 3",
"TaxDetails": [
{
"TaxId": "08728fa1-1433-4ad8-9152-36dcb08a0cb0",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
},
{
"TaxId": "08728fa1-1433-4ad8-9152-36dcb08a0cb0",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
}
]
},
{
"Tax": 1.1,
"ExemptAmount": 2.1,
"LineNumber": "sample string 3",
"TaxDetails": [
{
"TaxId": "08728fa1-1433-4ad8-9152-36dcb08a0cb0",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
},
{
"TaxId": "08728fa1-1433-4ad8-9152-36dcb08a0cb0",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
}
]
}
]
},
"Payments": {
"Items": [
{
"TimeTakenUtc": "2026-10-02T17:41:45.1333734+00:00",
"RetainedAmount": 2.1,
"MethodName": "sample string 3",
"PaymentType": "sample string 4",
"Amount": 5.1,
"IntegratedTransactionId": "sample string 6",
"ReferenceId": "sample string 7",
"MappedMethodId": 8,
"DrawerId": "sample string 9",
"Last4Digits": 10,
"CustomerAccountId": "sample string 11"
},
{
"TimeTakenUtc": "2026-10-02T17:41:45.1333734+00:00",
"RetainedAmount": 2.1,
"MethodName": "sample string 3",
"PaymentType": "sample string 4",
"Amount": 5.1,
"IntegratedTransactionId": "sample string 6",
"ReferenceId": "sample string 7",
"MappedMethodId": 8,
"DrawerId": "sample string 9",
"Last4Digits": 10,
"CustomerAccountId": "sample string 11"
}
],
"ChangeDue": 1,
"CashBack": 2
},
"Discounts": {
"Id": "sample string 1",
"InvoiceLevel": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
}
],
"LineLevel": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
}
],
"Total": 2.1
},
"InvoiceType": "sample string 7",
"Total": {
"Products": 1,
"Taxes": 2.1
},
"SaleOverrides": {
"UserId": 1,
"Authorizations": {
"Discount": {
"invoiceLevel": [
{
"name": "sample string 1",
"value": 2.1,
"valueType": "sample string 3"
},
{
"name": "sample string 1",
"value": 2.1,
"valueType": "sample string 3"
}
],
"Granted": true,
"Tag": "sample string 2",
"Percentage": 1.1,
"Dollar": 1.1
}
}
},
"PricingScheme": "sample string 8"
}

Models​

Location
NameDescriptionTypeAdditional information
IdintegerNone.
NamestringNone.
Customer
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
NumberstringNone.
FullNamestringNone.
ShippingAddressIdstringNone.
ShippingAddressstringNone.
BillingAddressstringNone.
BillingAddressIdstringNone.
AddressIdstringNone.
MedicalInformationstringNone.
InStock
NameDescriptionTypeAdditional information
NointegerNone.
CatalogIdglobally unique identifierNone.
NamestringNone.
SKUstringNone.
SoldAtPriceintegerNone.
ListPriceintegerNone.
SalePricedecimal numberNone.
QuantityintegerNone.
UnitIdintegerNone.
UnitAbbreviationstringNone.
MeasurementTypestringNone.
PackageNumberstringNone.
BatchstringNone.
SerialNumbersCollection of stringNone.
AttributesAttributesNone.
Payments
NameDescriptionTypeAdditional information
ItemsCollection of PaymentItemNone.
ChangeDueintegerNone.
CashBackintegerNone.
Discounts
NameDescriptionTypeAdditional information
IdstringNone.
InvoiceLevelCollection of InvoiceLevelNone.
LineLevelCollection of LineLevelNone.
Totaldecimal numberNone.
Total
NameDescriptionTypeAdditional information
ProductsintegerNone.
Taxesdecimal numberNone.
Attributes
NameDescriptionTypeAdditional information
equivalent TostringNone.
net WeightstringNone.
retail Marijuana Product TypestringNone.
InvoiceLevel
NameDescriptionTypeAdditional information
IdstringNone.
NamestringNone.
TypestringNone.
DiscountTypestringNone.
DiscountLevelstringNone.
TaxApplicationstringNone.
Amountdecimal numberNone.
ReasonForDiscountIdstringNone.
PromotionIdstringNone.
LoyaltyRewardIdstringNone.
LineLevelBreakdownCollection of LineLevelBreakdownNone.
LineLevel
NameDescriptionTypeAdditional information
IdstringNone.
NamestringNone.
TypestringNone.
DiscountTypestringNone.
DiscountLevelstringNone.
TaxApplicationstringNone.
Amountdecimal numberNone.
ReasonForDiscountIdstringNone.
PromotionIdstringNone.
LoyaltyRewardIdstringNone.
LineLevelBreakdownCollection of LineLevelBreakdownNone.
LineLevelBreakdown
NameDescriptionTypeAdditional information
LineNumberintegerNone.
Amountdecimal numberNone.

DELETE Companies({CompanyId})/Sales({SalesOrderId}​

This Call Marks a Sales Order as Cancelled and at the Location specified within the Company

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/Sales({SalesOrderId})

This call can only be made before Payment Intake API is called and will fail after payment

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
SalesOrderIdSales Order Guid Id that you want to Completeglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Canceled Sales Order with the Guid that was provided

HttpResponseMessage

NameDescriptionTypeAdditional information
VersionVersionNone.
ContentHttpContentNone.
StatusCodeHttpStatusCodeNone.
ReasonPhrasestringNone.
HeadersCollection of ObjectNone.
RequestMessageHttpRequestMessageNone.
IsSuccessStatusCodebooleanNone.

Models​

Version
NameDescriptionTypeAdditional information
MajorintegerNone.
MinorintegerNone.
BuildintegerNone.
RevisionintegerNone.
MajorRevisionintegerNone.
MinorRevisionintegerNone.
HttpContent
NameDescriptionTypeAdditional information
HeadersCollection of ObjectNone.
HttpStatusCode

Possible enumeration values:

NameValueDescription
Continue100
SwitchingProtocols101
OK200
Created201
Accepted202
NonAuthoritativeInformation203
NoContent204
ResetContent205
PartialContent206
MultipleChoices300
Ambiguous300
MovedPermanently301
Moved301
Found302
Redirect302
SeeOther303
RedirectMethod303
NotModified304
UseProxy305
Unused306
TemporaryRedirect307
RedirectKeepVerb307
BadRequest400
Unauthorized401
PaymentRequired402
Forbidden403
NotFound404
MethodNotAllowed405
NotAcceptable406
ProxyAuthenticationRequired407
RequestTimeout408
Conflict409
Gone410
LengthRequired411
PreconditionFailed412
RequestEntityTooLarge413
RequestUriTooLong414
UnsupportedMediaType415
RequestedRangeNotSatisfiable416
ExpectationFailed417
UpgradeRequired426
InternalServerError500
NotImplemented501
BadGateway502
ServiceUnavailable503
GatewayTimeout504
HttpVersionNotSupported505
HttpRequestMessage
NameDescriptionTypeAdditional information
VersionVersionNone.
ContentHttpContentNone.
MethodHttpMethodNone.
RequestUriURINone.
HeadersCollection of ObjectNone.
PropertiesDictionary of string [key] and Object [value]None.
HttpMethod
NameDescriptionTypeAdditional information
MethodstringNone.

PUT Companies({CompanyId})/OrderStatus({SalesOrderId}​

This Call updates the fulfillment status of the Sales Order specified and at the Location specified within the Company

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/OrderStatus({SalesOrderId})

Valid FulFillment Statuses include the following:

OrderPlaced

InProgress

ReadyForPickup

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
SalesOrderIdSales Order Guid Id that you want to Completeglobally unique identifierRequired

Body Parameters​

CovaSalesOrderFulfillementStatusPost

NameDescriptionTypeAdditional information
StatusstringNone.

Request Formats​

application/json, text/json

{
"Status": "sample string 1"
}

Response Information​

Resource Description​

The updated Fulfillment Status of the Sales Order Specified

CovaSalesOrderFulfillementStatusReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
StatusstringNone.

Response Formats​

application/json, text/json

{
"Id": "32b000aa-23ac-420f-8f78-b7be07026b53",
"Status": "sample string 2"
}

GET Companies({CompanyId})/SalesInvoiceDetails({InvoiceId})​

Returns Details for the Sales Invoice Id provided

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/SalesInvoiceDetails({InvoiceId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
InvoiceIdThis is Sales Invoice Id Guid that you want details forglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Details for the Sales Order Id provided

GetSalesInvoiceByIdReturn

NameDescriptionTypeAdditional information
InStockCollection of InStockNone.
PaymentsPaymentsNone.
DiscountsDiscountsNone.
Idglobally unique identifierNone.
OriginalInvoiceIdglobally unique identifierNone.
LocationIdintegerNone.
LocationNamestringNone.
UserIdintegerNone.
PrintableIdstringNone.
ReceiptNumberstringNone.
OriginalPrintableIdstringNone.
OriginalReceiptNumberstringNone.
NotesstringNone.
AnnotationstringNone.
SaleOverridesstringNone.
InvoiceTypestringNone.
CustomerCustomerNone.
TaxCalculationTaxCalculationNone.
LoyaltyLoyaltyNone.
CreatedByUserstringNone.
CreatedDateUtcdateNone.

Response Formats​

application/json, text/json

{
"InStock": [
{
"No": 1,
"CatalogId": "46b7e234-a811-480a-9b25-2f13eccabea5",
"Name": "sample string 3",
"SKU": "sample string 4",
"SoldAtPrice": 5,
"ListPrice": 6,
"SalePrice": 1.1,
"Quantity": 7,
"UnitId": 8,
"UnitAbbreviation": "sample string 9",
"MeasurementType": "sample string 10",
"PackageNumber": "sample string 11",
"Batch": "sample string 12",
"SerialNumbers": [
"sample string 1",
"sample string 2"
],
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
},
{
"No": 1,
"CatalogId": "46b7e234-a811-480a-9b25-2f13eccabea5",
"Name": "sample string 3",
"SKU": "sample string 4",
"SoldAtPrice": 5,
"ListPrice": 6,
"SalePrice": 1.1,
"Quantity": 7,
"UnitId": 8,
"UnitAbbreviation": "sample string 9",
"MeasurementType": "sample string 10",
"PackageNumber": "sample string 11",
"Batch": "sample string 12",
"SerialNumbers": [
"sample string 1",
"sample string 2"
],
"Attributes": {
"equivalent To": "sample string 1",
"net Weight": "sample string 2",
"retail Marijuana Product Type": "sample string 3"
}
}
],
"Payments": {
"Items": [
{
"TimeTakenUtc": "2026-10-02T17:43:17.3436236+00:00",
"RetainedAmount": 2.1,
"MethodName": "sample string 3",
"PaymentType": "sample string 4",
"Amount": 5.1,
"IntegratedTransactionId": "sample string 6",
"ReferenceId": "sample string 7",
"MappedMethodId": 8,
"DrawerId": "sample string 9",
"Last4Digits": 10,
"CustomerAccountId": "sample string 11"
},
{
"TimeTakenUtc": "2026-10-02T17:43:17.3436236+00:00",
"RetainedAmount": 2.1,
"MethodName": "sample string 3",
"PaymentType": "sample string 4",
"Amount": 5.1,
"IntegratedTransactionId": "sample string 6",
"ReferenceId": "sample string 7",
"MappedMethodId": 8,
"DrawerId": "sample string 9",
"Last4Digits": 10,
"CustomerAccountId": "sample string 11"
}
],
"ChangeDue": 1,
"CashBack": 2
},
"Discounts": {
"Id": "sample string 1",
"InvoiceLevel": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
}
],
"LineLevel": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Type": "sample string 3",
"DiscountType": "sample string 4",
"DiscountLevel": "sample string 5",
"TaxApplication": "sample string 6",
"Amount": 7.1,
"ReasonForDiscountId": "sample string 8",
"PromotionId": "sample string 9",
"LoyaltyRewardId": "sample string 10",
"LineLevelBreakdown": [
{
"LineNumber": 1,
"Amount": 2.1
},
{
"LineNumber": 1,
"Amount": 2.1
}
]
}
],
"Total": 2.1
},
"Id": "fdcc8ad8-2bb0-4983-a0d8-60dda6f3d11c",
"OriginalInvoiceId": "d0a9bafc-e62d-4c9d-b2e3-05520ce85c34",
"LocationId": 3,
"LocationName": "sample string 4",
"UserId": 5,
"PrintableId": "sample string 6",
"ReceiptNumber": "sample string 7",
"OriginalPrintableId": "sample string 8",
"OriginalReceiptNumber": "sample string 9",
"Notes": "sample string 10",
"Annotation": "sample string 11",
"SaleOverrides": "sample string 12",
"InvoiceType": "sample string 13",
"Customer": {
"Id": "e032a7ad-6126-4c67-ba35-bd53820865e2",
"Number": "sample string 2",
"FullName": "sample string 3",
"ShippingAddressId": "sample string 4",
"ShippingAddress": "sample string 5",
"BillingAddress": "sample string 6",
"BillingAddressId": "sample string 7",
"AddressId": "sample string 8",
"MedicalInformation": "sample string 9"
},
"TaxCalculation": {
"TaxCalculcationId": "sample string 1",
"Lines": [
{
"Tax": 1.1,
"ExemptAmount": 2.1,
"LineNumber": "sample string 3",
"TaxDetails": [
{
"TaxId": "5b3e291e-dc6a-43cb-a934-d7a152bfbb7e",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
},
{
"TaxId": "5b3e291e-dc6a-43cb-a934-d7a152bfbb7e",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
}
]
},
{
"Tax": 1.1,
"ExemptAmount": 2.1,
"LineNumber": "sample string 3",
"TaxDetails": [
{
"TaxId": "5b3e291e-dc6a-43cb-a934-d7a152bfbb7e",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
},
{
"TaxId": "5b3e291e-dc6a-43cb-a934-d7a152bfbb7e",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
}
]
}
]
},
"Loyalty": {
"PointsEarned": 1,
"PointsBalance": 2
},
"CreatedByUser": "sample string 14",
"CreatedDateUtc": "2026-10-02T17:43:17.3436236+00:00"
}

Models​

InStock
NameDescriptionTypeAdditional information
NointegerNone.
CatalogIdglobally unique identifierNone.
NamestringNone.
SKUstringNone.
SoldAtPriceintegerNone.
ListPriceintegerNone.
SalePricedecimal numberNone.
QuantityintegerNone.
UnitIdintegerNone.
UnitAbbreviationstringNone.
MeasurementTypestringNone.
PackageNumberstringNone.
BatchstringNone.
SerialNumbersCollection of stringNone.
AttributesAttributesNone.
Payments
NameDescriptionTypeAdditional information
ItemsCollection of PaymentItemNone.
ChangeDueintegerNone.
CashBackintegerNone.
Discounts
NameDescriptionTypeAdditional information
IdstringNone.
InvoiceLevelCollection of InvoiceLevelNone.
LineLevelCollection of LineLevelNone.
Totaldecimal numberNone.
Customer
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
NumberstringNone.
FullNamestringNone.
ShippingAddressIdstringNone.
ShippingAddressstringNone.
BillingAddressstringNone.
BillingAddressIdstringNone.
AddressIdstringNone.
MedicalInformationstringNone.
Attributes
NameDescriptionTypeAdditional information
equivalent TostringNone.
net WeightstringNone.
retail Marijuana Product TypestringNone.
InvoiceLevel
NameDescriptionTypeAdditional information
IdstringNone.
NamestringNone.
TypestringNone.
DiscountTypestringNone.
DiscountLevelstringNone.
TaxApplicationstringNone.
Amountdecimal numberNone.
ReasonForDiscountIdstringNone.
PromotionIdstringNone.
LoyaltyRewardIdstringNone.
LineLevelBreakdownCollection of LineLevelBreakdownNone.
LineLevel
NameDescriptionTypeAdditional information
IdstringNone.
NamestringNone.
TypestringNone.
DiscountTypestringNone.
DiscountLevelstringNone.
TaxApplicationstringNone.
Amountdecimal numberNone.
ReasonForDiscountIdstringNone.
PromotionIdstringNone.
LoyaltyRewardIdstringNone.
LineLevelBreakdownCollection of LineLevelBreakdownNone.
LineLevelBreakdown
NameDescriptionTypeAdditional information
LineNumberintegerNone.
Amountdecimal numberNone.

GET Companies({CompanyId})/SalesInvoiceSummaries?filter={filter}​

Returns Invoice Summaries for a Company with Filtering

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/SalesInvoiceSummaries?$filter=CustomerId eq guid'{CustomerId}'

Odata Filters

CustomerId eq guid'{CustomerId}'

PrintableId eq '{InvoiceNumber}'

ReceiptNumber eq '{ReceiptNumber}'

LocationId eq {LocationId}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
filterThe Odata filter applied to this call, see Odata filter section abovestringNone.

Body Parameters​

None.

Response Information​

Resource Description​

Invoice Summaries for a Company with Filtering

Collection of GetSalesInvoiceSummariesReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
PrintableIdstringNone.
ReceiptNumberstringNone.
InvoiceTotaldecimal numberNone.
InvoiceTypestringNone.
PaymentTypesstringNone.
CustomerIdglobally unique identifierNone.
CustomerNamestringNone.
LocationIdintegerNone.
LocationNamestringNone.
UserIdintegerNone.
CreatedByUserstringNone.
CreatedDateUtcdateNone.

Response Formats​

application/json, text/json

[
{
"Id": "0ebb7f14-fc6c-41ed-b215-c0cab78a034d",
"PrintableId": "sample string 2",
"ReceiptNumber": "sample string 3",
"InvoiceTotal": 4.1,
"InvoiceType": "sample string 5",
"PaymentTypes": "sample string 6",
"CustomerId": "68c3346e-629d-45d6-b37a-e989bc3bbcd3",
"CustomerName": "sample string 7",
"LocationId": 8,
"LocationName": "sample string 9",
"UserId": 10,
"CreatedByUser": "sample string 11",
"CreatedDateUtc": "2026-10-02T17:43:19.7816753+00:00"
},
{
"Id": "0ebb7f14-fc6c-41ed-b215-c0cab78a034d",
"PrintableId": "sample string 2",
"ReceiptNumber": "sample string 3",
"InvoiceTotal": 4.1,
"InvoiceType": "sample string 5",
"PaymentTypes": "sample string 6",
"CustomerId": "68c3346e-629d-45d6-b37a-e989bc3bbcd3",
"CustomerName": "sample string 7",
"LocationId": 8,
"LocationName": "sample string 9",
"UserId": 10,
"CreatedByUser": "sample string 11",
"CreatedDateUtc": "2026-10-02T17:43:19.7816753+00:00"
}
]

GET Companies({CompanyId})/Locations({LocationId})/CompletedOrders?filter={filter}​

Returns Completed orders for a Company by Date Range with Filtering

Base URL:​

https://api.covasoft.net/pointofsale

Example of a call would be:​

https://api.covasoft.net/pointofsale/Companies({CompanyId})/Locations({LocationId})/CompletedOrders?$filter=Created ge datetimeoffset'2019-09-01T00:00:00.000Z' and Created le datetimeoffset'2019-09-20T15:59:59.999Z'&$top=100&$skip=0

Odata Filters

Required: Created ge datetimeoffset'{UTCdatetime}' and Created le datetimeoffset'{UTCdatetime}'

FulfillmentMethod eq '{FulfillmentMethod}'

Source eq '{Source}'

Normal Odata pagings with $top & $skip

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
LocationIdThis is Location Id where you want to get the Completed Sales OrdersintegerRequired
filterThe Odata filter applied to this call, see Odata filter section abovestringRequired

Body Parameters​

None.

Response Information​

Resource Description​

Completed orders for a Company by Date Range with Filtering

Collection of GetCompletedOrdersByDateRangeReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
ReceiptNumberstringNone.
CreateddateNone.
SourcestringNone.
FulfillmentMethodstringNone.
ReferencestringNone.
OrderNumberstringNone.
StatusstringNone.
DeliveryAddressDeliveryAddressNone.
CustomerIdglobally unique identifierNone.
Totaldecimal numberNone.

Response Formats​

application/json, text/json

[
{
"Id": "56e4a907-381c-47fe-8937-4aa564cae31e",
"ReceiptNumber": "sample string 2",
"Created": "2026-10-02T17:43:22.2507976+00:00",
"Source": "sample string 4",
"FulfillmentMethod": "sample string 5",
"Reference": "sample string 6",
"OrderNumber": "sample string 7",
"Status": "sample string 8",
"DeliveryAddress": {
"CountryCode": "sample string 1",
"Locality": "sample string 2",
"StateCode": "sample string 3",
"PostalCode": 1,
"PostOfficeBoxNumber": "sample string 4",
"StreetAddress1": "sample string 5",
"StreetAddress2": "sample string 6"
},
"CustomerId": "921f851a-9e10-46db-ba86-92bbb8dcb2a1",
"Total": 10.1
},
{
"Id": "56e4a907-381c-47fe-8937-4aa564cae31e",
"ReceiptNumber": "sample string 2",
"Created": "2026-10-02T17:43:22.2507976+00:00",
"Source": "sample string 4",
"FulfillmentMethod": "sample string 5",
"Reference": "sample string 6",
"OrderNumber": "sample string 7",
"Status": "sample string 8",
"DeliveryAddress": {
"CountryCode": "sample string 1",
"Locality": "sample string 2",
"StateCode": "sample string 3",
"PostalCode": 1,
"PostOfficeBoxNumber": "sample string 4",
"StreetAddress1": "sample string 5",
"StreetAddress2": "sample string 6"
},
"CustomerId": "921f851a-9e10-46db-ba86-92bbb8dcb2a1",
"Total": 10.1
}
]